12.04 -> 12.10 action buttons disappear after expanding details

Bug #1072460 reported by philoertel on 2012-10-28
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

[Test Case]
1) set resolution to 800x600 (or something small)
2) run update-manager -d in a terminal
3) click the details expander when it appears
4) click the details expander again

Observe that the dialog is still the enlarged size and that you can't see the buttons to click them.

Original Report
===============
Ran update-manager -d to get the 12.10 update. In the first dialog that appears there are three options: details, continue with the update, or cancel. If I expand the details, the action buttons are pushed down below the bottom edge of the screen. I click again to hide the details, and the buttons don't come back to their original position. The details are hidden but the buttons aren't visible (I presume they're below the bottom edge. the dialog also used to end before the bottom, but it now extends past it). There's no way to continue or cancel. The only way out is to quit the update manager from the dock, or with kill. In retrospect, maybe it would have been possible to resize the dialog, but I'm not sure.

My resolution might be a little unusual. It's a 1080 TV, HDMI, native resolution.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed
ToZ (toz) wrote :

Bug exists in 12.04 to 14.04 Xubuntu upgrade.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1072460

tags: added: iso-testing
affects: update-manager (Ubuntu) → ubuntu-release-upgrader (Ubuntu)
tags: added: trusty
Changed in ubuntu-release-upgrader (Ubuntu):
importance: Undecided → Medium
Changed in ubuntu-release-upgrader (Ubuntu):
milestone: none → trusty-updates
Michael Vogt (mvo) wrote :
Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → Fix Committed
Changed in ubuntu-release-upgrader (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → Medium
milestone: none → trusty-updates
description: updated

Hello philoertel, or anyone else affected,

Accepted ubuntu-release-upgrader into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:0.220.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:14.10.2

---------------
ubuntu-release-upgrader (1:14.10.2) utopic; urgency=low

  * debian/test/control:
    - add missing pep8 test dependency
  * tests/test_xorg_fix_intrepid.py:
    -
 -- Michael Vogt <email address hidden> Sat, 03 May 2014 08:37:51 +0200

Changed in ubuntu-release-upgrader (Ubuntu):
status: Fix Committed → Fix Released
Mathew Hodson (mathew-hodson) wrote :

Fixed with http://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:0.220.3

When I click again to hide the details, the dialog and buttons come back to their original size and position.

tags: added: verification-done
removed: verification-needed
Steve Langasek (vorlon) wrote :

Hello philoertel, or anyone else affected,

Accepted ubuntu-release-upgrader into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:0.220.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:0.220.4

---------------
ubuntu-release-upgrader (1:0.220.4) trusty-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash in free space check for certain locales (LP: #1172740)
    - removal of essential packages that are not in the main arch
      is ok (LP: #1307904)
    - fix str/unicode crash in certain locales when a package is
      found in the removal blacklist (LP: #1310053)
  * DistUpgrade/DistUpgradeViewGtk3.py:
   - make details dialog resize when details are expanded/collapsed
     (LP: #1072460)
    - load webkit only when needed
  * DistUpgrade/DistUpgradeViewText.py:
    - fix py3 crash in text mode
  * DistUpgrade/DistUpgradeMain.py:
    - log python version
  * po/{eo,id,ug}.po:
    - fix translations of check-new-release-gtk which cause a crash
      (LP: #1311396)
  * data/demoted.cfg:
    - autmatic refresh of the demoted packages
  * po/*.po:
    - automatic refresh from launchpad
 -- Michael Vogt <email address hidden> Thu, 24 Apr 2014 14:57:39 +0200

Changed in ubuntu-release-upgrader (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers